Difference between revisions of "Part Offset2D/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
(Updating to match new version of source page)
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{Docnav/fr
 
{{Docnav/fr
|[[Part_Offset/fr|Décalage Part]]
+
|[[Part_Offset/fr|Décalage 3D]]
|[[Part_Thickness/fr|Évidement Part]]
+
|[[Part_Thickness/fr|Évidement]]
 
|[[Part_Module/fr|Atelier Part]]
 
|[[Part_Module/fr|Atelier Part]]
|IconL=Part_Offset.png
+
|IconL=Part_Offset.svg
 
|IconC=Workbench_Part.svg
 
|IconC=Workbench_Part.svg
|IconR=Part_Thickness.png
+
|IconR=Part_Thickness.svg
 
}}
 
}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Part Offset2D
 
|Name=Part Offset2D
|Name/fr=Décalage 2D
+
|Name/fr=Part Décalage 2D
 
|MenuLocation=Pièce → Décalage 2D...
 
|MenuLocation=Pièce → Décalage 2D...
 
|Workbenches=[[Part Module/fr|Part]]
 
|Workbenches=[[Part Module/fr|Part]]
 
|Version=0.17
 
|Version=0.17
|SeeAlso=[[Part_Offset/fr|Décalage 3D]], [[Part_Thickness/fr|Évidement]], [[Draft_Offset/fr|Décalage Draft]]
+
|SeeAlso=[[Part_Offset/fr|Part Décalage 3D]], [[Part_Thickness/fr|Part Évidement]], [[Draft_Offset/fr|Draft Décalage]]
 
}}
 
}}
 +
</div>
  
 
==Description==
 
==Description==
 
Part 2D Offset génère un profil parallèle au profil d'origine, à une distance définie de celui-ci. Il est également possible de d'agrandir/réduire une face plane de la même façon.
 
Part 2D Offset génère un profil parallèle au profil d'origine, à une distance définie de celui-ci. Il est également possible de d'agrandir/réduire une face plane de la même façon.
  
Le profil / la face doit être plan. il peux y avoir plusieurs profils dans un objet, sans être nécessairement coplanaire.  
+
Le profil/la face doit être plan. il peux y avoir plusieurs profils dans un objet, sans être nécessairement coplanaire.  
  
 
[[image:Part Offset2D Demo.png|600px]]
 
[[image:Part Offset2D Demo.png|600px]]
Line 28: Line 32:
 
# Sélectionner un objet à décaler
 
# Sélectionner un objet à décaler
 
# Appuyer sur le bouton {{KEY|[[File:Part Offset2D.svg|24px]]}} '''Décalage 2D'''.
 
# Appuyer sur le bouton {{KEY|[[File:Part Offset2D.svg|24px]]}} '''Décalage 2D'''.
# Définir la valeur de décalage dans le panneau des tâches, puis valider.
+
# Définir la valeur de décalage dans le [[Task Panel/fr|Panneau des tâches]] puis valider.
 
# Appuyer sur {{KEY|OK}}.
 
# Appuyer sur {{KEY|OK}}.
  
Line 35: Line 39:
 
==Propriétés==
 
==Propriétés==
  
* {{PropertyData|Source}}: lien vers la forme d'origine
+
* {{PropertyData/fr|Source}}: lien vers la forme d'origine
  
* {{PropertyData|Value}} Valeur d'agrandissement de la face/profil. Si négative, la dimension de la face ou du profil est réduite.
+
* {{PropertyData/fr|Value}} Valeur d'agrandissement de la face/profil. Si négative, la dimension de la face ou du profil est réduite.
  
* {{PropertyData|Mode}} ("Pipe" ou "Skin"): Définit le traitement des profils non fermés. Si "Pipe" est selectionné, le profil est décalé comme un contour fermé extrêmement petit. Si "Skin" est sélectionné, un profil ouvert est créé.
+
* {{PropertyData/fr|Mode}} ("Pipe" ou "Skin"): Définit le traitement des profils non fermés. Si "Pipe" est selectionné, le profil est décalé comme un contour fermé extrêmement petit. Si "Skin" est sélectionné, un profil ouvert est créé.
  
 
:[[image:Part Offset2D Mode.png|600px]]
 
:[[image:Part Offset2D Mode.png|600px]]
  
* {{PropertyData|Join}} ("Arc", "Tangent", "Intersection"): Définit le traitement des coins. Avec "Arc", les segments décalés sont joints par des arcs de cercle dont le centre est le sommet d'origine. "Tangent" n'est pas supporté pour OCC7.0.0. "Intersection": les segments sont prolongés jusqu'à ce qu'ils se croisent.
+
* {{PropertyData/fr|Join}} ("Arc", "Tangent", "Intersection"): Définit le traitement des coins. Avec "Arc", les segments décalés sont joints par des arcs de cercle dont le centre est le sommet d'origine. "Tangent" n'est pas supporté pour OCC7.0.0. "Intersection": les segments sont prolongés jusqu'à ce qu'ils se croisent.
  
 
:[[image:Part Offset2D Join.png|600px]]
 
:[[image:Part Offset2D Join.png|600px]]
  
* {{PropertyData|Intersection}} ("false", "true"): Définit si les profils multiples sont traités collectivement ou indépendamment. Avec "false", les profils sont traités indépendamment les uns des autres, les intersections entre les profils résultants sont ignorées. Avec "true", les profils sont gérés de façon collective.  
+
* {{PropertyData/fr|Intersection}} ("false", "true"): Définit si les profils multiples sont traités collectivement ou indépendamment. Avec "false", les profils sont traités indépendamment les uns des autres, les intersections entre les profils résultants sont ignorées. Avec "true", les profils sont gérés de façon collective.  
  
 
:[[image:Part Offset2D Intersection.png|600px]]
 
:[[image:Part Offset2D Intersection.png|600px]]
Line 57: Line 61:
 
:Les profils traités collectivement doivent être coplanaires. Les profils devant être décalés indépendamment n'ont pas besoin d'être coplanaires.
 
:Les profils traités collectivement doivent être coplanaires. Les profils devant être décalés indépendamment n'ont pas besoin d'être coplanaires.
  
* {{PropertyData|Fill}} ("false", "true"): Si "true", l'espace entre le profil / la face original et le décalage forme une face.
+
* {{PropertyData/fr|Fill}} ("false", "true"): Si "true", l'espace entre le profil / la face original et le décalage forme une face.
  
 
:[[image:Part Offset2D Fill.png|600px]]
 
:[[image:Part Offset2D Fill.png|600px]]
Line 65: Line 69:
 
* La plupart des modes non par défaut ne fonctionnent qu'avec OCC 7.0.0 ou ultérieur.
 
* La plupart des modes non par défaut ne fonctionnent qu'avec OCC 7.0.0 ou ultérieur.
  
* L'utilisation de l'outil peut bloquer FreeCAD (voir le point suivant). Sur Windows, ces accidents sont convertis en exceptions et ne provoquent généralement pas la fermeture de FreeCAD; Sur d'autres systèmes d'exploitation, ce n'est pas le cas. Il est donc conseillé d'enregistrer un projet avant d'essayer d'utiliser l'outil.
+
* L'utilisation de l'outil peut bloquer FreeCAD (voir le point suivant). Sur Windows, ces accidents sont convertis en exceptions et ne provoquent généralement pas la fermeture de FreeCAD; Sur d'autres systèmes d'exploitation, ce n'est pas le cas. il est donc conseillé d'enregistrer un projet avant d'essayer d'utiliser l'outil. Les ellipses ne sont pas gérées.  
  
 
* L'agrandissement des faces avec des trous circulaires d'une valeur suffisamment grande pour que les trous se referment, génère un crash (OCC 7.0.0). Le problème semble être spécifique aux cercles; D'autres formes semblent se terminer correctement.  
 
* L'agrandissement des faces avec des trous circulaires d'une valeur suffisamment grande pour que les trous se referment, génère un crash (OCC 7.0.0). Le problème semble être spécifique aux cercles; D'autres formes semblent se terminer correctement.  
Line 75: Line 79:
 
* Fill = "true" ne fonctionne pas avec décalage collectif de profils ouverts en mode "Skin"
 
* Fill = "true" ne fonctionne pas avec décalage collectif de profils ouverts en mode "Skin"
  
*le mode de jonction "Tangent" ne fonctionne pas (OCC 7.0.0)
+
*Le mode de jonction "Tangent" ne fonctionne pas (OCC 7.0.0)
  
 
* Les profils fait d'un seul segment ne sont pas pris en charge (car un segment ne définit pas un plan). Les profils à un seul segment ne peuvent pas non plus participer au décalage collectif.
 
* Les profils fait d'un seul segment ne sont pas pris en charge (car un segment ne définit pas un plan). Les profils à un seul segment ne peuvent pas non plus participer au décalage collectif.
Line 81: Line 85:
 
==Script==
 
==Script==
  
L'outil peut être utilisé dans une [[macros/fr|macros]] et depuis la console python en utilisant les fonctions suivantes:
+
L'outil peut être utilisé dans des [[macros/fr|macros]] et depuis la console Python en utilisant les fonctions suivantes:
 
{{code|code=
 
{{code|code=
 
f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")
 
f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")
Line 88: Line 92:
 
}}
 
}}
  
2D offset est également disponible comme méthode de Part.Shape. Exemple:
+
Décalage 2D est également disponible comme méthode de Part.Shape. Exemple:
 
{{code|code=
 
{{code|code=
 
import Part
 
import Part
Line 114: Line 118:
  
  
{{Docnav/fr
+
{{Docnav
|[[Part_Offset/fr|Décalage Part]]
+
|[[Part_Offset|Offset]]
|[[Part_Thickness/fr|Évidement Part]]
+
|[[Part_Thickness|Thickness]]
|[[Part_Module/fr|Atelier Part]]
+
|[[Part_Module|Part]]
|IconL=Part_Offset.png
+
|IconL=Part_Offset.svg
 +
|IconR=Part_Thickness.svg
 
|IconC=Workbench_Part.svg
 
|IconC=Workbench_Part.svg
|IconR=Part_Thickness.png
 
 
}}
 
}}
  
{{Part Tools navi/fr}}
+
{{Part Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/fr}}
 
 
 
 
 
 
{{clear}}
 
{{clear}}

Latest revision as of 20:30, 1 December 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Part Offset.svg Décalage 3D
Page suivante : Évidement Part Thickness.svg Arrow-right.svg

Part Offset2D.svg Part Décalage 2D

Emplacement du menu
Pièce → Décalage 2D...
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Part Décalage 3D, Part Évidement, Draft Décalage


Description

Part 2D Offset génère un profil parallèle au profil d'origine, à une distance définie de celui-ci. Il est également possible de d'agrandir/réduire une face plane de la même façon.

Le profil/la face doit être plan. il peux y avoir plusieurs profils dans un objet, sans être nécessairement coplanaire.

Part Offset2D Demo.png

Utilisation

  1. Sélectionner un objet à décaler
  2. Appuyer sur le bouton Part Offset2D.svg Décalage 2D.
  3. Définir la valeur de décalage dans le Panneau des tâches puis valider.
  4. Appuyer sur OK.

Un objet 2D Offset paramétrique est crée. les object originaux sont basculés en mode de rendu filaire.

Propriétés

  • DonnéesSource: lien vers la forme d'origine
  • DonnéesValue Valeur d'agrandissement de la face/profil. Si négative, la dimension de la face ou du profil est réduite.
  • DonnéesMode ("Pipe" ou "Skin"): Définit le traitement des profils non fermés. Si "Pipe" est selectionné, le profil est décalé comme un contour fermé extrêmement petit. Si "Skin" est sélectionné, un profil ouvert est créé.
Part Offset2D Mode.png
  • DonnéesJoin ("Arc", "Tangent", "Intersection"): Définit le traitement des coins. Avec "Arc", les segments décalés sont joints par des arcs de cercle dont le centre est le sommet d'origine. "Tangent" n'est pas supporté pour OCC7.0.0. "Intersection": les segments sont prolongés jusqu'à ce qu'ils se croisent.
Part Offset2D Join.png
  • DonnéesIntersection ("false", "true"): Définit si les profils multiples sont traités collectivement ou indépendamment. Avec "false", les profils sont traités indépendamment les uns des autres, les intersections entre les profils résultants sont ignorées. Avec "true", les profils sont gérés de façon collective.
Part Offset2D Intersection.png
Seuls les profils dans un composé sont couplés. Par exemple, si la structure est composé (wire1, wire2, compound (wire3, wire4)), wire1 et wire2 seront traités collectivement, mais indépendamment de wire3 et wire4. De même, wire3 et wire4 sont traités collectivement, mais indépendamment de wire1 + wire2.
De plus, en mode collectif, les directions des profils sont importantes et influencent la direction du décalage. Ceci est étroitement lié à la façon dont les trous dans les faces sont traités.
Les profils traités collectivement doivent être coplanaires. Les profils devant être décalés indépendamment n'ont pas besoin d'être coplanaires.
  • DonnéesFill ("false", "true"): Si "true", l'espace entre le profil / la face original et le décalage forme une face.
Part Offset2D Fill.png

Problèmes connus

  • La plupart des modes non par défaut ne fonctionnent qu'avec OCC 7.0.0 ou ultérieur.
  • L'utilisation de l'outil peut bloquer FreeCAD (voir le point suivant). Sur Windows, ces accidents sont convertis en exceptions et ne provoquent généralement pas la fermeture de FreeCAD; Sur d'autres systèmes d'exploitation, ce n'est pas le cas. il est donc conseillé d'enregistrer un projet avant d'essayer d'utiliser l'outil. Les ellipses ne sont pas gérées.
  • L'agrandissement des faces avec des trous circulaires d'une valeur suffisamment grande pour que les trous se referment, génère un crash (OCC 7.0.0). Le problème semble être spécifique aux cercles; D'autres formes semblent se terminer correctement.
  • le décalage de cercle a une position different de zéro, génère un mauvais positionnement (OCC7.0.0)
  • Le décalage de cercle, ce fait parfois dans la mauvaise direction (e.g. a l'intérieur au lieu de l'extérieur ).(OCC 7.0.0)
  • Fill = "true" ne fonctionne pas avec décalage collectif de profils ouverts en mode "Skin"
  • Le mode de jonction "Tangent" ne fonctionne pas (OCC 7.0.0)
  • Les profils fait d'un seul segment ne sont pas pris en charge (car un segment ne définit pas un plan). Les profils à un seul segment ne peuvent pas non plus participer au décalage collectif.

Script

L'outil peut être utilisé dans des macros et depuis la console Python en utilisant les fonctions suivantes:

f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")
f.Source =  #some object
f.Value = 10.0

Décalage 2D est également disponible comme méthode de Part.Shape. Exemple:

import Part
circle = Part.Circle().toShape()
enlarged_circle = circle.makeOffset2D(10.0)
Part.show(circle)
Part.show(enlarged_circle)
# makeOffset2D(offset, join = 0, fill = False, openResult = false, intersection = false)
# 
# * offset: distance to expand the shape by. 
# 
# * join: method of offsetting non-tangent joints. 0 = arcs, 1 = tangent, 2 =
# intersection
# 
# * fill: if true, the output is a face filling the space covered by offset. If
# false, the output is a wire/face.
# 
# * openResult: True for "Skin" mode; False for Pipe mode. 
# 
# * intersection: collective offset
# 
# Returns: result of offsetting (wire or face or compound of those). Compounding
# structure follows that of source shape.


Arrow-left.svg Previous: Part Offset.svg Offset
Next: Thickness Part Thickness.svg Arrow-right.svg